You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@airflow.apache.org by po...@apache.org on 2022/01/20 18:43:13 UTC

[airflow-ci-infra] branch add-docker-buildx-plugin created (now 3ec060d)

This is an automated email from the ASF dual-hosted git repository.

potiuk pushed a change to branch add-docker-buildx-plugin
in repository https://gitbox.apache.org/repos/asf/airflow-ci-infra.git.


      at 3ec060d  Add Docker Buildx plugin

This branch includes the following new commits:

     new 3ec060d  Add Docker Buildx plugin

The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails.  The revisions
listed as "add" were already present in the repository and have only
been added to this reference.


[airflow-ci-infra] 01/01: Add Docker Buildx plugin

Posted by po...@apache.org.
This is an automated email from the ASF dual-hosted git repository.

potiuk pushed a commit to branch add-docker-buildx-plugin
in repository https://gitbox.apache.org/repos/asf/airflow-ci-infra.git

commit 3ec060de3ae67fce2725ca6fae0f96f97f2f8cbb
Author: Jarek Potiuk <ja...@potiuk.com>
AuthorDate: Thu Jan 20 19:42:47 2022 +0100

    Add Docker Buildx plugin
---
 .gitignore                                      |  2 ++
 github-runner-ami/packer/files/docker-buildx.sh | 20 ++++++++++++++++++++
 2 files changed, 22 insertions(+)

diff --git a/.gitignore b/.gitignore
index f9f8225..27d454c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -43,3 +43,5 @@ override.tf.json
 session-manager-plugin.*
 
 # End of https://www.toptal.com/developers/gitignore/api/terraform
+github-runner-ami/packer/session-manager-plugin.deb
+github-runner-ami/packer/session-manager-plugin.rpm
diff --git a/github-runner-ami/packer/files/docker-buildx.sh b/github-runner-ami/packer/files/docker-buildx.sh
new file mode 100644
index 0000000..866bbb4
--- /dev/null
+++ b/github-runner-ami/packer/files/docker-buildx.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+set -exu -o pipefail
+# Hard-code docker buildx 0.7.1
+curl -L "https://github.com/docker/buildx/releases/download/v0.7.1/buildx-v0.7.1.$(uname -s)-$(uname -m)" -o "${HOME}/.docker/cli-plugins"